Sage Dataset conversion to Sage 50 Cloud V27

Good morning,

I have a query on an upgrade to Sage 50 V27 from an older version. The new version is listing previous warning and errors on the old dataset but saying that the new dataset is corrupted.

Can we continue to process transactions or do I need Sage to view the warnings and error before processing?

Many thanks.

John